Index: doc/latex/classEKF__unQ__inherit__graph.eps
===================================================================
--- doc/latex/classEKF__unQ__inherit__graph.eps (revision 234)
+++ doc/latex/classEKF__unQ__inherit__graph.eps (revision 255)
@@ -180,54 +180,54 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 204 378
+%%PageBoundingBox: 36 36 248 378
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 168 342 boxprim clip newpath
+36 36 212 342 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-115 21 lineto
-115 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-115 21 lineto
-115 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-65 7.5 moveto 42 (EKF_unQ) alignedtext
+newpath 90 0 moveto
+90 21 lineto
+148 21 lineto
+148 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 90 0 moveto
+90 21 lineto
+148 21 lineto
+148 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+98 7.5 moveto 42 (EKF_unQ) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 29 61 75 81 ]
+[ /Rect [ 30 61 104 81 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classEKFCh.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1EKFCh.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 29 60 moveto
-29 81 lineto
-75 81 lineto
-75 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 29 60 moveto
-29 81 lineto
-75 81 lineto
-75 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-37 67.5 moveto 30 (EKFCh) alignedtext
+newpath 30 60 moveto
+30 81 lineto
+104 81 lineto
+104 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 30 60 moveto
+30 81 lineto
+104 81 lineto
+104 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+38 67.5 moveto 58 (bdm::EKFCh) alignedtext
 grestore
 % Node2->Node1
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 51 50 moveto
-55 40 63 29 70 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 47.52 49.42 moveto
-48 60 lineto
-54.23 51.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 47.52 49.42 moveto
-48 60 lineto
-54.23 51.43 lineto
+newpath 72 51 moveto
+79 41 90 29 100 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 68.63 49.74 moveto
+66 60 lineto
+74.46 53.62 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68.63 49.74 moveto
+66 60 lineto
+74.46 53.62 lineto
 closepath stroke
 grestore
@@ -257,18 +257,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 63 51 moveto
-69 41 75 29 80 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 59.8 49.56 moveto
-58 60 lineto
-65.92 52.96 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 59.8 49.56 moveto
-58 60 lineto
-65.92 52.96 lineto
+newpath 94 53 moveto
+105 43 116 30 121 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 91.6 50.45 moveto
+87 60 lineto
+96.55 55.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 91.6 50.45 moveto
+87 60 lineto
+96.55 55.4 lineto
 closepath stroke
 grestore
@@ -278,25 +278,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 75 52 moveto
-83 42 89 30 91 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 72.2 49.9 moveto
-69 60 lineto
-77.8 54.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 72.2 49.9 moveto
-69 60 lineto
-77.8 54.1 lineto
+newpath 84 52 moveto
+93 42 103 30 110 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 80.95 50.17 moveto
+77 60 lineto
+86.22 54.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 80.95 50.17 moveto
+77 60 lineto
+86.22 54.78 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 20 121 84 141 ]
+[ /Rect [ 20 121 112 141 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalmanCh.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1KalmanCh.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -304,6 +304,6 @@
 newpath 20 120 moveto
 20 141 lineto
-85 141 lineto
-85 120 lineto
+113 141 lineto
+113 120 lineto
 closepath fill
 1 setlinewidth
@@ -312,10 +312,10 @@
 newpath 20 120 moveto
 20 141 lineto
-85 141 lineto
-85 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-27.5 127.5 moveto 49 (KalmanCh) alignedtext
+113 141 lineto
+113 120 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+27.5 127.5 moveto 77 (bdm::KalmanCh) alignedtext
 grestore
 % Node3->Node2
@@ -324,25 +324,25 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 52 110 moveto
-52 100 52 89 52 81 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 48.5 110 moveto
-52 120 lineto
-55.5 110 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 48.5 110 moveto
-52 120 lineto
-55.5 110 lineto
+newpath 66 110 moveto
+66 100 66 89 67 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.5 110 moveto
+66 120 lineto
+69.5 110 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.5 110 moveto
+66 120 lineto
+69.5 110 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 0 181 104 201 ]
+[ /Rect [ 0 181 132 201 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalman.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1Kalman.html) >>
   /Subtype /Link
 /ANN pdfmark
@@ -350,6 +350,6 @@
 newpath 0 180 moveto
 0 201 lineto
-105 201 lineto
-105 180 lineto
+133 201 lineto
+133 180 lineto
 closepath fill
 1 setlinewidth
@@ -358,10 +358,10 @@
 newpath 0 180 moveto
 0 201 lineto
-105 201 lineto
-105 180 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 187.5 moveto 89 (Kalman< chmat >) alignedtext
+133 201 lineto
+133 180 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 187.5 moveto 117 (bdm::Kalman< chmat >) alignedtext
 grestore
 % Node4->Node3
@@ -370,44 +370,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 52 170 moveto
-52 160 52 149 52 141 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 48.5 170 moveto
-52 180 lineto
-55.5 170 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 48.5 170 moveto
-52 180 lineto
-55.5 170 lineto
+newpath 66 170 moveto
+66 160 66 149 66 141 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.5 170 moveto
+66 180 lineto
+69.5 170 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.5 170 moveto
+66 180 lineto
+69.5 170 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 46 313 76 333 ]
+[ /Rect [ 49 313 107 333 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classBM.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1BM.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 46 312 moveto
-46 333 lineto
-77 333 lineto
-77 312 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 46 312 moveto
-46 333 lineto
-77 333 lineto
-77 312 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-53.5 319.5 moveto 15 (BM) alignedtext
+newpath 49 312 moveto
+49 333 lineto
+108 333 lineto
+108 312 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 49 312 moveto
+49 333 lineto
+108 333 lineto
+108 312 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+56.5 319.5 moveto 43 (bdm::BM) alignedtext
 grestore
 % Node5->Node4
@@ -416,45 +416,45 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 58 302 moveto
-57 293 56 283 55 274 curveto
-54 248 53 217 52 201 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 54.52 302.4 moveto
-59 312 lineto
-61.49 301.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 54.52 302.4 moveto
-59 312 lineto
-61.49 301.7 lineto
+newpath 74 302 moveto
+72 293 70 283 69 274 curveto
+66 248 66 217 66 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 70.61 302.88 moveto
+76 312 lineto
+77.47 301.51 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 70.61 302.88 moveto
+76 312 lineto
+77.47 301.51 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 64 253 160 273 ]
+[ /Rect [ 78 253 202 273 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classKalman.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1Kalman.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 64 252 moveto
-64 273 lineto
-160 273 lineto
-160 252 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 64 252 moveto
-64 273 lineto
-160 273 lineto
-160 252 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-72 259.5 moveto 80 (Kalman< sq_T >) alignedtext
+newpath 78 252 moveto
+78 273 lineto
+202 273 lineto
+202 252 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 78 252 moveto
+78 273 lineto
+202 273 lineto
+202 252 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+86 259.5 moveto 108 (bdm::Kalman< sq_T >) alignedtext
 grestore
 % Node5->Node6
@@ -463,18 +463,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 77 304 moveto
-86 294 96 282 103 273 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 73.95 302.17 moveto
-70 312 lineto
-79.22 306.78 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 73.95 302.17 moveto
-70 312 lineto
-79.22 306.78 lineto
+newpath 97 305 moveto
+107 295 120 282 129 273 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 94.22 302.78 moveto
+89 312 lineto
+98.83 308.05 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 94.22 302.78 moveto
+89 312 lineto
+98.83 308.05 lineto
 closepath stroke
 grestore
@@ -484,47 +484,47 @@
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 96 244 moveto
-85 230 70 213 60 201 curveto
+newpath 121 245 moveto
+107 231 88 213 76 201 curveto
 stroke
 0.106 1.000 1.000 edgecolor
-newpath 93.78 246.78 moveto
-103 252 lineto
-99.05 242.17 lineto
+newpath 118.45 247.4 moveto
+128 252 lineto
+123.4 242.45 lineto
 closepath fill
 1 setlinewidth
 solid
 0.106 1.000 1.000 edgecolor
-newpath 93.78 246.78 moveto
-103 252 lineto
-99.05 242.17 lineto
+newpath 118.45 247.4 moveto
+128 252 lineto
+123.4 242.45 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-87.5 224.5 moveto 53 (< chmat >) alignedtext
+111.5 224.5 moveto 53 (< chmat >) alignedtext
 grestore
 % Node7
 gsave
-[ /Rect [ 93 61 147 81 ]
+[ /Rect [ 122 61 204 81 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classBMcond.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1BMcond.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 93 60 moveto
-93 81 lineto
-147 81 lineto
-147 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 93 60 moveto
-93 81 lineto
-147 81 lineto
-147 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-101 67.5 moveto 38 (BMcond) alignedtext
+newpath 122 60 moveto
+122 81 lineto
+204 81 lineto
+204 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 122 60 moveto
+122 81 lineto
+204 81 lineto
+204 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+130 67.5 moveto 66 (bdm::BMcond) alignedtext
 grestore
 % Node7->Node1
@@ -533,18 +533,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 52 moveto
-89 42 83 30 81 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 94.2 54.1 moveto
-103 60 lineto
-99.8 49.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 94.2 54.1 moveto
-103 60 lineto
-99.8 49.9 lineto
+newpath 137 53 moveto
+127 42 119 30 116 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.45 55.4 moveto
+144 60 lineto
+139.4 50.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.45 55.4 moveto
+144 60 lineto
+139.4 50.45 lineto
 closepath stroke
 grestore
@@ -554,18 +554,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 109 51 moveto
-103 41 97 29 92 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.08 52.96 moveto
-114 60 lineto
-112.2 49.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.08 52.96 moveto
-114 60 lineto
-112.2 49.56 lineto
+newpath 149 52 moveto
+141 42 132 30 126 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.2 54.1 moveto
+155 60 lineto
+151.8 49.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.2 54.1 moveto
+155 60 lineto
+151.8 49.9 lineto
 closepath stroke
 grestore
@@ -575,18 +575,64 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 121 50 moveto
-117 40 109 29 102 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 117.77 51.43 moveto
-124 60 lineto
-124.48 49.42 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 117.77 51.43 moveto
-124 60 lineto
-124.48 49.42 lineto
+newpath 161 51 moveto
+156 41 146 29 137 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.08 52.96 moveto
+166 60 lineto
+164.2 49.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.08 52.96 moveto
+166 60 lineto
+164.2 49.56 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 130 121 196 141 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classbdm_1_1base.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 130 120 moveto
+130 141 lineto
+197 141 lineto
+197 120 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 130 120 moveto
+130 141 lineto
+197 141 lineto
+197 120 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+137.5 127.5 moveto 51 (bdm::base) alignedtext
+grestore
+% Node8->Node7
+gsave
+1 setlinewidth
+solid
+0.000 0.812 0.545 edgecolor
+newpath 163 110 moveto
+163 100 163 89 163 81 curveto
+stroke
+0.000 0.812 0.545 edgecolor
+newpath 159.5 110 moveto
+163 120 lineto
+166.5 110 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.812 0.545 edgecolor
+newpath 159.5 110 moveto
+163 120 lineto
+166.5 110 lineto
 closepath stroke
 grestore
@@ -598,5 +644,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 204 378
+%%BoundingBox: 36 36 248 378
 end
 restore
